Skip to content

Get an app's usage metrics

GET/apps/{name}/usage

One live app's persistent usage metrics, accrued to now. A deleted app's retained usage is only available via GET /usage.

path parameters
object
namestringrequired

App name (a DNS label, e.g. web).

Responses
200 OKOK
AppUsage
app_idstring
app_namestring
compute_vcpu_secondsnumberdouble
egress_bytesintegermin 0
finalized_atstring | nulldate-time
memory_mib_secondsnumberdouble
requestsintegermin 0
requests_by_codeobject
additional properties
integermin 0
storage_gib_secondsnumberdouble
updated_atstringdate-time
404 Not foundNot Found
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/apps/{name}/usage
cURL
curl '/apps/{name}/usage'
GET/apps/{name}/usage
Request
Path
Authorization
curl '/apps/{name}/usage'
Response
Send a request to see the response.
Response
200 OK
{
  "app_id": "string",
  "app_name": "string",
  "compute_vcpu_seconds": 0,
  "egress_bytes": 0,
  "finalized_at": "2026-01-02T15:04:05Z",
  "memory_mib_seconds": 0,
  "requests": 0,
  "requests_by_code": {},
  "storage_gib_seconds": 0,
  "updated_at": "2026-01-02T15:04:05Z"
}
Was this page helpful?